JythonTopLevelDataSetHandlerV2.JythonDataSetRegistrationService (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, class: JythonTopLevelDataSetHandlerV2, class: JythonDataSetRegistrationService

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Class JythonTopLevelDataSetHandlerV2.JythonDataSetRegistrationService<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService<T>
ch.systemsx.cisd.etlserver.registrator.api.v2.JythonTopLevelDataSetHandlerV2.JythonDataSetRegistrationService<T>

All Implemented Interfaces:
  `ch.systemsx.cisd.etlserver.registrator.v2.DataSetStorageAlgorithmRunner.IPrePostRegistrationHook<T>`

Direct Known Subclasses:
  `JythonDataSetRegistrationServiceV2`

Enclosing class:
  `JythonTopLevelDataSetHandlerV2<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>`

public static class JythonTopLevelDataSetHandlerV2.JythonDataSetRegistrationService<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation> extends ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService<T>

- ## Field Summary

  ### Fields inherited from class ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService

  `dssRegistrationLog, encounteredErrors, transaction, userSessionToken`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JythonDataSetRegistrationService(ch.systemsx.cisd.etlserver.registrator.v2.AbstractProgrammableTopLevelDataSetHandler<T> registrator, ch.systemsx.cisd.etlserver.registrator.DataSetFile incomingDataSetFile, ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation userProvidedDataSetInformationOrNull, ch.systemsx.cisd.common.action.IDelegatedActionWithResult<Boolean> globalCleanAfterwardsAction, ch.systemsx.cisd.etlserver.ITopLevelDataSetRegistratorDelegate delegate, ch.systemsx.cisd.common.jython.IJythonInterpreter interpreter, ch.systemsx.cisd.etlserver.TopLevelDataSetRegistratorGlobalState globalState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanAfterRegistrationIfNecessary()`
  `ch.systemsx.cisd.common.jython.IJythonInterpreter`
  `getInterpreter()`

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService

  `abort, commit, createStorageAlgorithm, createStorageAlgorithmWithIdentifiedStrategy, createStorageAlgorithmWithStrategy, createTransaction, didEncounterSecondaryTransactionErrors, didErrorsArise, didRollbackTransaction, executeGlobalCleanAfterwardsAction, executePostCommit, executePostRegistration, executePreRegistration, getDataSetRegistrationDetailsFactory, getDssRegistrationLog, getEncounteredErrors, getEntityRegistrationService, getIncomingDataSetFile, getRegistrator, getRegistratorContext, logDssRegistrationResult, moveIncomingToError, registerNonFatalError, setUserSessionToken, shouldUsePrestaging, transaction, transaction`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JythonDataSetRegistrationService

    public JythonDataSetRegistrationService(ch.systemsx.cisd.etlserver.registrator.v2.AbstractProgrammableTopLevelDataSetHandler<T> registrator, ch.systemsx.cisd.etlserver.registrator.DataSetFile incomingDataSetFile, ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation userProvidedDataSetInformationOrNull, ch.systemsx.cisd.common.action.IDelegatedActionWithResult<Boolean> globalCleanAfterwardsAction, ch.systemsx.cisd.etlserver.ITopLevelDataSetRegistratorDelegate delegate, ch.systemsx.cisd.common.jython.IJythonInterpreter interpreter, ch.systemsx.cisd.etlserver.TopLevelDataSetRegistratorGlobalState globalState)

- ## Method Details

  - ### getInterpreter

    public ch.systemsx.cisd.common.jython.IJythonInterpreter getInterpreter()

  - ### cleanAfterRegistrationIfNecessary

    public void cleanAfterRegistrationIfNecessary()
    Overrides:
      `cleanAfterRegistrationIfNecessary` in class `ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>`